

#ifndef __IMAGER_WVLTFILT_H__
#define __IMAGER_WVLTFILT_H__

#include "defs.h"
#include "wvlt_core.h"




void wavelet_shrink (double *data, int xm, int ym, int decomp_level, int wshrinkfunc, double tmult);
void wavelet_denoise (image_type *img, int wfunction, int shrinkfunc, int decomp, double tmult,
					  void (*wvhp_callback)(double *data, int xsize, int ysize) );

unsigned char check_dyadic (image_type *img);

void wavelet_filter_main ();

void wvdenoise_macro_driver (image_type *img, int wfunction, int shrinkfunc, int decomp, double tmult);




#endif
