

#ifndef __IMAGER_IMPORT_H__
#define __IMAGER_IMPORT_H__

#include "defs.h"



typedef enum { iB_CHAR, iB_SHORT, iB_RGB, iB_FLOAT, iB_DOUBLE } SRC_TYPE;

typedef struct 
{
	long xdim, ydim, zdim, ofs;
	unsigned char imp_swab, is_ascii, lalign12;
	char	filename[1024];
	TYPE_SELECTOR imgtype;
	SRC_TYPE src_type;
}
import_params;


int do_import (image_type *img, import_params params);

int do_import_ascii (image_type *img, import_params params);


int shmatch(char* p, char* s);

int import_dialog (char* infilename);
void rgbload_main ();

int internal_open_multiple (gchar *selectedfile, image_type *auximg);
void do_open_multiple ();

#endif
